aboutsummaryrefslogtreecommitdiff
path: root/dev/ci/ci-common.sh
diff options
context:
space:
mode:
authorEnrico Tassi2020-12-09 13:30:36 +0100
committerEnrico Tassi2020-12-09 17:31:38 +0100
commit84e87cf712abed38699f58966abfa0b1c5bf5044 (patch)
tree1d2579aba0dfc1dafc2bdb9b5f7414bb9bfab748 /dev/ci/ci-common.sh
parent9e0ca704fa8273a8337ff9e118d2d08620af8962 (diff)
[ci] function to declare projects
incidentally the "projects" array can be queried to get the list of projects
Diffstat (limited to 'dev/ci/ci-common.sh')
-rw-r--r--dev/ci/ci-common.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev/ci/ci-common.sh b/dev/ci/ci-common.sh
index 1a4ebc0e90..98ad834b4c 100644
--- a/dev/ci/ci-common.sh
+++ b/dev/ci/ci-common.sh
@@ -55,6 +55,11 @@ overlay()
local ov_url=$2
local ov_ref=$3
+ if ! is_in_projects "$1"; then
+ echo "Error: $1 is not a known project which can be overlayed"
+ exit 1
+ fi
+
overlays[${project}_URL]=$ov_url
overlays[${project}_REF]=$ov_ref
}